Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"bad43ed8-faab-42ad-9566-b14bd8570105","url":null,"userId":"24da0fe2-3744-4479-98bc-e53da1a54f63","userUrl":null,"categoryId":"3ab31009-1237-4020-bf88-52efd1784a86","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-08-21T23:33:26.8982753+00:00","lastModifiedDateTime":"2026-08-22T19:33:26.8982753+00:00","availableFrom":"2026-08-22T23:33:26","startDateTimeZone":null,"availableUntil":"2026-08-23T23:33:26","endDateTimeZone":null,"medias":[{"id":"5e91fd2a-1232-4854-901b-365e1ee55f05","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"ea7efbf3-c542-4a2a-8be9-9037c42430aa","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"3a21f1d8-a773-4cee-94d0-93741fd9f13d","url":null},{"type":"Department","name":"Department name example","id":"d304a09b-c797-4ae9-b65b-3a758596a42c","url":null},{"type":"User group","name":"User group name example","id":"130ff7fb-d9f3-4535-b888-62b18820caa2","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"db346983-dda1-450d-97fb-99df5dcf4e66"}],"userGroups":[{"url":null,"name":"User group name example","id":"b87c9ddc-0acf-40ea-8ba3-222b6da1c888"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string